
import random
from oauthlib.oauth2 import BackendApplicationClient
from requests_oauthlib import OAuth2Session

def generate_oauth_session(client_id, client_secret, token_url, resource_url):
    # Create a client with the given credentials
    client = BackendApplicationClient(client_id=client_id)
    # Create an OAuth2 session using the client
    session = OAuth2Session(client=client)
    # Fetch an access token
    token = session.fetch_token(token_url=token_url, client_id=client_id, client_secret=client_secret)
    # Use the access token to get the resource
    response = session.get(resource_url)
    return response.json()



